
package com.honeywell.samples.iqimage;

import android.os.Environment;

import java.io.File;

/**
 * IConsteValue contains constant values about IQ Image.
 */

public interface IConstValue {

    final int IMAGE_PNG = 1;

    final int IMAGE_JPEG = 2;

    final int IMAGE_BINARY = 0;

    final int IMAGE_GRAYSCALE = 1;

    final String TAB_DELIVERY = "delivery";

    final String TAB_POSTAL = "postal";

    final String TAB_EMBED = "embed";

    final String TAB_noformat = "noformat";

    final int READ_PARA_SUC = 0;

    final int READ_PARA_NO_VALUE = 1;

    final int READ_PARA_ERROR_VALUE = 2;

    final int MESSAGE_BEGIN_SAVE = 1;

    final String STING_IQ_FOLER = Environment.getExternalStorageDirectory().toString()
            + File.separatorChar + "honeywell" + File.separatorChar + "iqdemo";

    final String KEY_SOUND = "sound";

    final String KEY_CODA = "codabar";

    final String KEY_128 = "code128";

    final String KEY_39 = "code39";

    final String KEY_417 = "pdf417";

    final String KEY_AZTEC = "aztec";

}
